package com.ruoyi.inventory.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 资产盘点报表
 *
 * @author 原动力林武泰
 * @date 2023年12月27日
 */
@Data
public class AssetInventoryStatement {
    @Excel(name = "计划编码")
    private String orderNumber;

    @Excel(name = "计划名称")
    private String orderName;

    /** 资产编码 */
    @Excel(name = "资产编码")
    private String assetNumber;

    /** 资产名称 */
    @Excel(name = "资产名称", width = 24)
    private String assetName;

    /** 所在位置 */
    @Excel(name = "所在位置", width = 30)
    private String assetLocation;

    /** 资产分类 */
    @Excel(name = "资产分类")
    private String assetCategory;

    /** 盘点状态 */
    @Excel(name = "盘点状态")
    private String inventoryStatus;

    /** 资产数量 */
    @Excel(name = "账面数量")
    private Integer quantity;

    /** 盘点数量 */
    @Excel(name = "实盘数量")
    private Integer inventoryQuantity;

    /** 计量单位 */
    @Excel(name = "计量单位")
    private String units;

    /** 盘点结果 */
    @Excel(name = "盘点结果")
    private String inventoryResult;

    /** 盘点日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "盘点日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inventoryDate;

    /** 盘点位置 */
    @Excel(name = "盘点位置")
    private String inventoryLocation;

    /** 盘点部门 */
    @Excel(name = "盘点部门")
    private String inventoryDepartmentName;

    /** 盘点部门 */
    @Excel(name = "盘点计划结果")
    private String inventoryPlanResult;

    /**原值*/
    private Double originalValue;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;
}
